# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#

# --------------------------------------------------------
#
# Table structure for table 'OS'
#

CREATE TABLE OS (
   id tinyint(4) DEFAULT '0' NOT NULL auto_increment,
   name text NOT NULL,
   PRIMARY KEY (id)
);


# --------------------------------------------------------
#
# Table structure for table 'aliases'
#

CREATE TABLE aliases (
   id int(11) DEFAULT '0' NOT NULL,
   alias text NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'conf'
#

CREATE TABLE conf (
   domainname text NOT NULL,
   named text NOT NULL,
   yp text NOT NULL,
   dhcpd text NOT NULL,
   tmp text NOT NULL,
   start_range smallint(4) DEFAULT '0' NOT NULL,
   end_range smallint(4) DEFAULT '0' NOT NULL,
   dns_header text NOT NULL,
   dns_fwd_header text NOT NULL,
   yp_header text NOT NULL,
   dhcpd_header text NOT NULL,
   named_restart text NOT NULL,
   yp_restart text NOT NULL,
   dhcpd_restart text NOT NULL
);


# --------------------------------------------------------

#
# Table structure for table 'descriptions'
#

CREATE TABLE descriptions (
   item text NOT NULL,
   info text NOT NULL
);

#
# Dumping data for table 'descriptions'
#

INSERT INTO descriptions VALUES ( 'machinename', 'The name of the machine can be anything, literally.  The only limitations are that it can only contain alpha-numeric characters and the single special character : the hyphen.
<BR><BR>
<B>DO NOT USE:</B><BR>
<UL>
<LI>White Spaces</LI>
<LI>Special Characters, including control characters</LI>
<LI>Underscore characters</LI>
</UL>');
INSERT INTO descriptions VALUES ( 'hardware_addr', 'The hardware address is also known as the standard MAC address. It is a <B><I>COLON</I></B> separated six segment alpha numeric string, with <I>two</I> digits per segment in the following format:<BR><BR>
<CENTER>
##:##:##:##:##:##<BR>
</CENTER>
<BR>
An example would be:<BR>
<CENTER>
00:10:7b:32:9f:82<BR>
</CENTER>
<BR>');
INSERT INTO descriptions VALUES ( 'alias', 'An alias of a machine is simply another way of referencing the machinename, but, commonly, in an easier-to-remember format.  The alias falls under the same restrictions as the machinename (or hostname), with one added flexibility:<BR>
<BR>
<UL><LI>You can use the underscore (_) character</LI></UL
Multiple aliases can reference the same machinename.  To enter multiple aliases, simply separate each one by a comma (,).  White spaces are automatically removed.<BR><BR>');
INSERT INTO descriptions VALUES ( 'ownername', 'The ownername field is for informational purposes only, and therefore, none of the core programs rely on the contents of this field.  So, basically, anything goes.<BR>
<BR>
It is best to stick to simply listing the first and last name of the primary user, or \"owner\" in the case of it being a multi-user machine, of the machine.<BR>');
INSERT INTO descriptions VALUES ( 'location', 'The location field is for informational purposes only, and therefore, none of the core programs rely on the contents of this
field. So, basically, anything goes.<BR>
<BR>
It is probably best to stick to a format of :  Facility or Facility Location - Room Name or Number<BR><BR>
<CENTER>An example would be: <B>Princeton - 209</B><BR><BR>');
INSERT INTO descriptions VALUES ( 'OS', 'The location field is for informational purposes only, and therefore, none of the core programs rely on the contents of this
              field. So, basically, anything goes.<BR> <BR> Many systems have multiple operating systems installed on them, so
try to pick the <B>PRIMARY</B> operating system that is installed.<BR><BR>
');
INSERT INTO descriptions VALUES ( 'comment', 'The location field is for informational purposes only, and therefore, none of the core programs rely on the contents of this
              field. So, basically, anything goes.<BR> <BR> This is a free-for-all entry field for any information that is deemed important.<BR><BR>
');
# --------------------------------------------------------
#
# Table structure for table 'name'
#

CREATE TABLE name (
   id int(11) DEFAULT '0' NOT NULL auto_increment,
   IP text NOT NULL,
   machinename text NOT NULL,
   hardware_addr text NOT NULL,
   OS tinyint(4) DEFAULT '0' NOT NULL,
   KEY id (id)
);


# --------------------------------------------------------
#
# Table structure for table 'owner'
#

CREATE TABLE owner (
   id int(11) DEFAULT '0' NOT NULL,
   ownername text NOT NULL,
   location text NOT NULL,
   comment text NOT NULL
);

#
# Table structure for table 'users'
#

CREATE TABLE users (
   name text NOT NULL,
   password text NOT NULL,
   uid int(11) DEFAULT '0' NOT NULL auto_increment,
   email text NOT NULL,
   PRIMARY KEY (uid)
);
